error while updating

Discussion in 'Installation/Configuration' started by xxfog, Sep 9, 2010.

  1. xxfog

    xxfog New Member

    Hi,

    I just tried to do the automatic update via console..

    I took "stable" and got this error:


    ispconfig3_install/interface/lib/config.inc.php
    ispconfig3_install/interface/lib/classes/
    ispconfig3_install/interface/lib/classes/tform_actions.inc.php
    ispconfig3_install/interface/lib/classes/searchform.inc.php
    ispconfig3_install/interface/lib/classes/listform_actions.inc.php
    ispconfig3_install/interface/lib/classes/searchform_actions.inc.php
    ispconfig3_install/interface/lib/classes/plugin_dbhistory.inc.php
    ispconfig3_install/interface/lib/classes/validate_reseller.inc.php
    ispconfig3_install/interface/lib/classes/tpl_cache.inc.php
    ispconfig3_install/interface/lib/classes/plugin_base.inc.php
    ispconfig3_install/interface/lib/classes/custom_datasource.inc.php
    ispconfig3_install/interface/lib/classes/listform_tpl_generator.inc.php
    ispconfig3_install/interface/lib/classes/validate_ftpuser.inc.php
    ispconfig3_install/interface/lib/classes/listform.inc.php
    ispconfig3_install/interface/lib/classes/tpl_ini.inc.php
    ispconfig3_install/interface/lib/classes/tform_tpl_generator.inc.php
    ispconfig3_install/interface/lib/classes/remoting_lib.inc.php
    ispconfig3_install/interface/lib/classes/tree.inc.php
    ispconfig3_install/interface/lib/classes/getconf.inc.php
    ispconfig3_install/interface/lib/classes/db_mysql.inc.php
    ispconfig3_install/interface/lib/classes/db_firebird.inc.php
    ispconfig3_install/interface/lib/classes/validate_autoresponder.inc.php
    ispconfig3_install/interface/lib/classes/validate_dns.inc.php
    ispconfig3_install/interface/lib/classes/validate_datetime.inc.php
    ispconfig3_install/interface/lib/classes/form.inc.php
    ispconfig3_install/interface/lib/classes/cmstree.inc.php
    ispconfig3_install/interface/lib/classes/ini_parser.inc.php
    ispconfig3_install/interface/lib/classes/validate_database.inc.php
    ispconfig3_install/interface/lib/classes/tform.inc.php
    ispconfig3_install/interface/lib/classes/tpl_error.inc.php
    ispconfig3_install/interface/lib/classes/validate_client.inc.php
    ispconfig3_install/interface/lib/classes/validate_cron.inc.php
    ispconfig3_install/interface/lib/classes/plugin_listview.inc.php
    ispconfig3_install/interface/lib/classes/plugin.inc.php
    ispconfig3_install/interface/lib/classes/tpl.inc.php
    ispconfig3_install/interface/lib/classes/searchform_tpl_generator.inc.php
    ispconfig3_install/interface/lib/classes/remoting.inc.php
    ispconfig3_install/interface/lib/classes/auth.inc.php
    ispconfig3_install/interface/lib/shelluser_blacklist
    ispconfig3_install/interface/lib/app.inc.php
    ispconfig3_install/interface/index.htm
    ispconfig3_install/helper_scripts/
    ispconfig3_install/helper_scripts/gentoo_setup.sh
    ispconfig3_install/helper_scripts/mydns_to_powerdns_migration.php
    ispconfig3_install/helper_scripts/utils.sh
    ispconfig3_install/helper_scripts/dns_export_to_bind.php
    ispconfig3_install/helper_scripts/recreate_webalizer_stats.php
    ispconfig3_install/helper_scripts/debian_setup.sh
    ispconfig3_install/helper_scripts/setup_in_openvz/
    ispconfig3_install/helper_scripts/setup_in_openvz/install_server.sh
    ispconfig3_install/helper_scripts/setup_in_openvz/recreate_ssh_and_hostname.sh
    ispconfig3_install/helper_scripts/setup_in_openvz/diff_openssl.cnf


    --------------------------------------------------------------------------------
    _____ ___________ _____ __ _
    |_ _/ ___| ___ \ / __ \ / _(_)
    | | \ `--.| |_/ / | / \/ ___ _ __ | |_ _ __ _
    | | `--. \ __/ | | / _ \| '_ \| _| |/ _` |
    _| |_/\__/ / | | \__/\ (_) | | | | | | | (_| |
    \___/\____/\_| \____/\___/|_| |_|_| |_|\__, |
    __/ |
    |___/
    --------------------------------------------------
    ------------------------------


    >> Update

    Operating System: Debian Lenny or compatible

    This application will update ISPConfig 3 on your server.
    MySQL root password []:

    Warning: mysql_connect(): Access denied for user 'root'@'localhost' (using password: NO) in /tmp/ispconfig3_install/install/lib/mysql.lib.php on line 78

    Fatal error: Cannot use string offset as an array in /tmp/ispconfig3_install/install/update.php on line 210
    server:/usr/local/ispconfig/server/conf/index#



    what did I do wrong and is something damaged now?
     
  2. Mark_NL

    Mark_NL New Member

    Code:
    Warning: mysql_connect(): Access denied for user 'root'@'localhost'
    Clearly states the script is not able to connect to the mysql server with the supplied user/password .. double check those and try again.
     
  3. xxfog

    xxfog New Member

    where do i have to check the configuration?

    and why does control panel etc work if the data is not correct?
     
  4. Mark_NL

    Mark_NL New Member

    Your panel can work, but it won't work completely .. since the installer failed. How can you assume such a thing when you get mysql connect error during the install.

    check your configuration? well i'd first check if the root user/password is correct by manually connect to the database, then run the installer with those correct credentials.
     
  5. xxfog

    xxfog New Member

    okay, but where do i have to set up theese data? is there a special config file for the installer?
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    No. The installer / updater asked you for the password.
     
  7. xxfog

    xxfog New Member

    it did not! it just asked for stable or svn and than it startet
     
  8. Mark_NL

    Mark_NL New Member

    Then what's this you posted:

    Code:
    MySQL root password []:
     
  9. xxfog

    xxfog New Member

    lol - sorry! I did not read right. when I typed "stable" it started to download and than it stopped here:

    ispconfig3_install/helper_scripts/dns_export_to_bind.php
    ispconfig3_install/helper_scripts/recreate_webalizer_stats.php
    ispconfig3_install/helper_scripts/debian_setup.sh
    ispconfig3_install/helper_scripts/setup_in_openvz/
    ispconfig3_install/helper_scripts/setup_in_openvz/install_server.sh
    ispconfig3_install/helper_scripts/setup_in_openvz/recreate_ssh_and_hostname.sh
    ispconfig3_install/helper_scripts/setup_in_openvz/diff_openssl.cnf


    --------------------------------------------------------------------------------
    _____ ___________ _____ __ _
    |_ _/ ___| ___ \ / __ \ / _(_)
    | | \ `--.| |_/ / | / \/ ___ _ __ | |_ _ __ _
    | | `--. \ __/ | | / _ \| '_ \| _| |/ _` |
    _| |_/\__/ / | | \__/\ (_) | | | | | | | (_| |
    \___/\____/\_| \____/\___/|_| |_|_| |_|\__, |
    __/ |
    |___/
    --------------------------------------------------
    ------------------------------


    and nothing happend The rest of the posting was shown when I hit enter , so i did not see something of "enter root password"..
    I guess no update has been performed than - right?
     
  10. Mark_NL

    Mark_NL New Member

    If your previous installation was working correctly and you did an update, i think it should be done now .. you can check by goign to your admin panel and check the title of the document, it should display the updated version.
     
  11. juan_g

    juan_g New Member

    I was having the same update problem. Looking at the update.php code, I think it wasn't asking me for a password because it was an old one and not empty on a conf file mentioned in the DB-admin settings section. After correcting that file the update went fine.
     

Share This Page